package com.yonge.cooleshow.biz.dal.dao;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;

import com.yonge.cooleshow.biz.dal.dto.ContractTemplateDto;
import com.yonge.cooleshow.biz.dal.entity.ContractTemplate;
import com.yonge.toolset.mybatis.dal.BaseDAO;

public interface ContractTemplateDao extends BaseDAO<Integer, ContractTemplate> {

	List<ContractTemplateDto> queryPageList(Map<String, Object> params);
	
	/**
	 * 获取最新协议模板
	 * @param owner
	 * @param type
	 * @return
	 */
	ContractTemplate queryLatestContractTemplate(@Param("owner") String owner, @Param("type") String type);
	
	int disableContract(@Param("owner") String owner, @Param("type") String type);
	
	Integer queryMaxVersion();

	
}